Index: src/unittests/AtomDescriptorTest.cpp
===================================================================
--- src/unittests/AtomDescriptorTest.cpp	(revision 57adc722ba6d4dbc04bdd2fa77d696ce701237a7)
+++ src/unittests/AtomDescriptorTest.cpp	(revision cd032d428ec733430510dfedd7dc4bcf1df63fd4)
@@ -29,7 +29,7 @@
 // set up and tear down
 void AtomDescriptorTest::setUp(){
-  World::get();
+  World::getInstance();
   for(int i=0;i<ATOM_COUNT;++i){
-    atoms[i]= World::get()->createAtom();
+    atoms[i]= World::getInstance().createAtom();
     atomIds[i]= atoms[i]->getId();
   }
@@ -37,5 +37,5 @@
 
 void AtomDescriptorTest::tearDown(){
-  World::destroy();
+  World::purgeInstance();
 }
 
@@ -73,9 +73,9 @@
 
 void AtomDescriptorTest::AtomBaseSetsTest(){
-  std::vector<atom*> allAtoms = World::get()->getAllAtoms(AllAtoms());
+  std::vector<atom*> allAtoms = World::getInstance().getAllAtoms(AllAtoms());
   CPPUNIT_ASSERT_EQUAL( true , hasAllAtoms(allAtoms,atomIds));
   CPPUNIT_ASSERT_EQUAL( true , hasNoDuplicateAtoms(allAtoms));
 
-  std::vector<atom*> noAtoms = World::get()->getAllAtoms(NoAtoms());
+  std::vector<atom*> noAtoms = World::getInstance().getAllAtoms(NoAtoms());
   CPPUNIT_ASSERT_EQUAL( true , noAtoms.empty());
 }
@@ -83,11 +83,11 @@
   // test Atoms from boundaries and middle of the set
   atom* testAtom;
-  testAtom = World::get()->getAtom(AtomById(atomIds[0]));
+  testAtom = World::getInstance().getAtom(AtomById(atomIds[0]));
   CPPUNIT_ASSERT(testAtom);
   CPPUNIT_ASSERT_EQUAL( atomIds[0], testAtom->getId());
-  testAtom = World::get()->getAtom(AtomById(atomIds[ATOM_COUNT/2]));
+  testAtom = World::getInstance().getAtom(AtomById(atomIds[ATOM_COUNT/2]));
   CPPUNIT_ASSERT(testAtom);
   CPPUNIT_ASSERT_EQUAL( atomIds[ATOM_COUNT/2], testAtom->getId());
-  testAtom = World::get()->getAtom(AtomById(atomIds[ATOM_COUNT-1]));
+  testAtom = World::getInstance().getAtom(AtomById(atomIds[ATOM_COUNT-1]));
   CPPUNIT_ASSERT(testAtom);
   CPPUNIT_ASSERT_EQUAL( atomIds[ATOM_COUNT-1], testAtom->getId());
@@ -103,5 +103,5 @@
   }
   // test from outside of set
-  testAtom = World::get()->getAtom(AtomById(outsideId));
+  testAtom = World::getInstance().getAtom(AtomById(outsideId));
   CPPUNIT_ASSERT(!testAtom);
 }
@@ -109,5 +109,5 @@
   // test some elementary set operations
   {
-    std::vector<atom*> testAtoms = World::get()->getAllAtoms(AllAtoms()||NoAtoms());
+    std::vector<atom*> testAtoms = World::getInstance().getAllAtoms(AllAtoms()||NoAtoms());
     CPPUNIT_ASSERT_EQUAL( true , hasAllAtoms(testAtoms,atomIds));
     CPPUNIT_ASSERT_EQUAL( true , hasNoDuplicateAtoms(testAtoms));
@@ -115,5 +115,5 @@
 
   {
-    std::vector<atom*> testAtoms = World::get()->getAllAtoms(NoAtoms()||AllAtoms());
+    std::vector<atom*> testAtoms = World::getInstance().getAllAtoms(NoAtoms()||AllAtoms());
     CPPUNIT_ASSERT_EQUAL( true , hasAllAtoms(testAtoms,atomIds));
     CPPUNIT_ASSERT_EQUAL( true , hasNoDuplicateAtoms(testAtoms));
@@ -121,20 +121,20 @@
 
   {
-    std::vector<atom*> testAtoms = World::get()->getAllAtoms(NoAtoms()&&AllAtoms());
+    std::vector<atom*> testAtoms = World::getInstance().getAllAtoms(NoAtoms()&&AllAtoms());
     CPPUNIT_ASSERT_EQUAL( true , testAtoms.empty());
   }
 
   {
-    std::vector<atom*> testAtoms = World::get()->getAllAtoms(AllAtoms()&&NoAtoms());
+    std::vector<atom*> testAtoms = World::getInstance().getAllAtoms(AllAtoms()&&NoAtoms());
     CPPUNIT_ASSERT_EQUAL( true , testAtoms.empty());
   }
 
   {
-    std::vector<atom*> testAtoms = World::get()->getAllAtoms(!AllAtoms());
+    std::vector<atom*> testAtoms = World::getInstance().getAllAtoms(!AllAtoms());
     CPPUNIT_ASSERT_EQUAL( true , testAtoms.empty());
   }
 
   {
-    std::vector<atom*> testAtoms = World::get()->getAllAtoms(!NoAtoms());
+    std::vector<atom*> testAtoms = World::getInstance().getAllAtoms(!NoAtoms());
     CPPUNIT_ASSERT_EQUAL( true , hasAllAtoms(testAtoms,atomIds));
     CPPUNIT_ASSERT_EQUAL( true , hasNoDuplicateAtoms(testAtoms));
@@ -143,5 +143,5 @@
   // exclude and include some atoms
   {
-    std::vector<atom*> testAtoms = World::get()->getAllAtoms(AllAtoms()&&(!AtomById(atomIds[ATOM_COUNT/2])));
+    std::vector<atom*> testAtoms = World::getInstance().getAllAtoms(AllAtoms()&&(!AtomById(atomIds[ATOM_COUNT/2])));
     std::set<atomId_t> excluded;
     excluded.insert(atomIds[ATOM_COUNT/2]);
@@ -152,5 +152,5 @@
 
   {
-    std::vector<atom*> testAtoms = World::get()->getAllAtoms(NoAtoms()||(AtomById(atomIds[ATOM_COUNT/2])));
+    std::vector<atom*> testAtoms = World::getInstance().getAllAtoms(NoAtoms()||(AtomById(atomIds[ATOM_COUNT/2])));
     CPPUNIT_ASSERT_EQUAL( (size_t)1, testAtoms.size());
     CPPUNIT_ASSERT_EQUAL( atomIds[ATOM_COUNT/2], testAtoms[0]->getId());
